curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memo": "<string>",
"reference_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
}
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata"
payload = {
"memo": "<string>",
"reference_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memo: '<string>',
reference_number: '<string>',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_external_id: '<string>',
vendor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_external_id: '<string>',
metadata: {
custom_field: 'value',
'any valid json': 'below 1kb',
nested: {'meaning of life': 42, array: []}
}
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Transaction_Metadata",
"memo": "Example memo to associate with a transaction",
"reference_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
}
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Patch transaction metadata
Updates the metadata for the provided bank transaction. Include only the fields you want to change. Omitted fields stay unchanged. Send null for a field to clear it.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business that the transaction to update the metadata for belongs to.
The UUID of the bank transaction to update metadata for.
Body
Fields to change on a bank transaction's metadata. Omitted fields stay unchanged.
Memo to store on the transaction. Omit this field to leave the current memo unchanged. Send null to clear it.
Reference number to store on the transaction. Omit this field to leave the current value unchanged. Send null to clear it.
Layer customer ID to associate with the transaction. The customer must already exist. Omit this field to leave the current customer unchanged. Send null to clear it.
External ID of the customer to associate with the transaction. Layer creates the customer when this external ID does not exist yet. Omit this field to leave the current customer unchanged. Send null to clear it. If you also send customer_id, both values must refer to the same customer.
Layer vendor ID to associate with the transaction. The vendor must already exist. Omit this field to leave the current vendor unchanged. Send null to clear it.
External ID of the vendor to associate with the transaction. Layer creates the vendor when this external ID does not exist yet. Omit this field to leave the current vendor unchanged. Send null to clear it. If you also send vendor_id, both values must refer to the same vendor.
Custom metadata for the transaction. Omit this field to leave the current metadata unchanged. Send null to clear it.
{
"custom_field": "value",
"any valid json": "below 1kb",
"nested": { "meaning of life": 42, "array": [] }
}
Response
Contains metadata associated with a transaction, including an optional memo, customer, and vendor.
Show child attributes
Show child attributes